# PossibleAPIProjects

### A HACKER NEWS CLIENT

List the popular posts
Show a post comments
Show a user profile
Search HN
Check HNPWA and Awesome Hacker News for inspiration

### A REDDIT CLIENT

List the popular posts
List the comments of a post
Show a user profile
### AN INSTAGRAM CLIENT

Enter an hashtag and get the latest posts
Enter a username and get the latest posts
Allow to store one or more hashtags/usernames and get all the latest posts from those
### A GITHUB API CLIENT

List the popular repositories from today / week / month
List the latest commits in a repository
Show a person or organization public repositories ranked by stars
### AN UNSPLASH API CLIENT

Search images by topic
Let the user enter a term, show relevant images
Start at Unsplash API

### DATA FOR YOUR SAMPLE APPS

Sometimes you start doing some simple app, but you’re bored at finding data you can use. You don’t have to, you can use real data, or random data.

### PUBLIC APIS YOU CAN USE IN EXAMPLE PROJECTS

Maybe you have an idea for a perfectly nice CRUD app, or something that works with an API, but you don’t want to create the API in the first place.

I recommend to check out Airtable, which provides a great API for developers, very easy to use, like a database.

There are amazing public APIs you can use:

### Name /	URL
* The Cat API	https://thecatapi.com/docs.html
* The Dog API	https://dog.ceo/dog-api/
* The Chuck Norris API	https://api.chucknorris.io/
* Fuck Off As A Service API	https://www.foaas.com/
* Quotes API	https://favqs.com/api
* Quotes API	http://forismatic.com/en/api/
* Dad Jokes API	https://icanhazdadjoke.com/api/
* The Spotify API	https://beta.developer.spotify.com/documentation/web-api/
* The New York Times API	https://developer.nytimes.com/
* The Wikipedia API	https://www.mediawiki.org/wiki/API:Main_page
* The Wikidata API	https://www.wikidata.org/w/api.php?action=help
* The Medium API	https://github.com/Medium/medium-api-docs
* Design Quotes API	https://quotesondesign.com/api-v4-0/
* The GoodReads API	https://www.goodreads.com/api
* The Dribbble API	http://developer.dribbble.com/v2/
* The 500px API	https://github.com/500px/api-documentation
* The Unsplash API	https://unsplash.com/developers
* The Giphy API - GIFs!	https://developers.giphy.com/docs/
* The Pixabay API	https://pixabay.com/sk/service/about/api/
* Exchange rates	https://exchangeratesapi.io/
* Site screenshots API	https://apileap.com/
* The Oxford Dictionary API	https://developer.oxforddictionaries.com/
* Website Technologies API	https://github.com/letsvalidate/api
* The Mapbox API	https://www.mapbox.com/developers/
* Music Lyrics API by Genius	https://docs.genius.com/
* Site meta tags API	http://bettermeta.io/
* The EventBrite API	https://www.eventbrite.com/developer/v3/
* Open source projects changelogs	https://changelogs.md/
* The GitHub REST API	https://developer.github.com/v3/
* The GitHub GraphQL API	https://developer.github.com/v4/
* QR codes API	http://goqr.me/api/
* The StackExchange API	https://api.stackexchange.com/
* Words and synonyms	https://www.wordsapi.com/
* The Nasa API	https://api.nasa.gov/
* The SpaceX API	https://github.com/r-spacex/SpaceX-API
* The Hacker News API	https://github.com/HackerNews/API
* The Instagram API	https://instagram.com/developer/
* The Reddit API	https://www.reddit.com/dev/api
* The Slack API	https://api.slack.com/
* The Twitter API	https://developer.twitter.com/en/docs
* The YouTube API	https://developers.google.com/youtube/
* 